package CoreFS.SA01;
import java.util.List;

import CoreFS.SA06.CoreICommunicationService;
import CoreFS.SA06.CoreParamObject;
import CoreFS.SA06.CoreReturnObject;

import com.caucho.hessian.server.HessianServlet;


/**
 * @desc :Hession的servlet 通过此servlet相应client的请求
 * @author sunjiawang
 * @create 091128
 * @modify 091128
 */
public class CoreHesssianService extends HessianServlet  implements CoreICommunicationService {  //extends HessianServlet
	/**
	 * @desc 被发布给client的方法 完成方法的调用 相应客户的请求
	 * @author sunjiawang
	 * @create 091128
	 * @modify 091128
	 */
	private static CoreCommunicationService hessionService = null;
	static {
		if (hessionService == null) {
			hessionService = new CoreCommunicationService();
		}
	}

	public CoreReturnObject runActivtity(CoreParamObject ctx) {

		return hessionService.runActivtity(ctx);
	}

	public CoreReturnObject MethodHandler(CoreParamObject ctx) {
		return hessionService.MethodHandler(ctx);
	}

}
